<?php

function alpenhouse_engine_add_local_field_groups() {

	acf_add_local_field_group(array(
		'key' => 'acf_page_header_options',
		'title' => __('Page Header Options', 'alpenhouse-engine'),
		'fields' => array(
			array(
				'key' => 'acf_header_type',
				'label' => __('Header Type', 'alpenhouse-engine'),
				'name' => 'header-block-type',
				'type' => 'button_group',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'default' => __('Default', 'alpenhouse-engine'),
					'image-block' => __('Image', 'alpenhouse-engine'),
					'slider-block' => __('Slider', 'alpenhouse-engine'),
					'video-block' => __('Video', 'alpenhouse-engine'),
					'slider-block-aligned' => __('Slider+Block', 'alpenhouse-engine'),
				),
				'allow_null' => 0,
				'default_value' => 'default',
				'layout' => 'horizontal',
				'return_format' => 'value',
			),
			array(
				'key' => 'acf_image_block',
				'label' => __('Image Block', 'alpenhouse-engine'),
				'name' => 'image-block',
				'type' => 'group',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'acf_header_type',
							'operator' => '==',
							'value' => 'image-block',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'layout' => 'row',
				'sub_fields' => array(
					array(
						'key' => 'acf_image_block_background_color',
						'label' => __('Background Color', 'alpenhouse-engine'),
						'name' => 'background-color',
						'type' => 'color_picker',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '',
					),
					array(
						'key' => 'acf_image_block_image',
						'label' => __('Image', 'alpenhouse-engine'),
						'name' => 'image',
						'type' => 'image',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'return_format' => 'array',
						'preview_size' => 'thumbnail',
						'library' => 'all',
						'min_width' => '',
						'min_height' => '',
						'min_size' => '',
						'max_width' => '',
						'max_height' => '',
						'max_size' => '',
						'mime_types' => '',
					),
					array(
						'key' => 'acf_image_block_image_preset',
						'label' => __('Preset', 'alpenhouse-engine'),
						'name' => 'image-preset',
						'type' => 'select',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'choices' => array(
							'fill' => __('Fill', 'alpenhouse-engine'),
							'fit' => __('Fit', 'alpenhouse-engine'),
							'repeat' => __('Repeat', 'alpenhouse-engine'),
						),
						'default_value' => array(
							0 => 'fill',
						),
						'allow_null' => 0,
						'multiple' => 0,
						'ui' => 0,
						'ajax' => 0,
						'return_format' => 'value',
						'placeholder' => '',
					),
					array(
						'key' => 'acf_image_block_image_scroll',
						'label' => __('Scroll', 'alpenhouse-engine'),
						'name' => 'image-scroll',
						'type' => 'true_false',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'message' => __('Scroll with Page', 'alpenhouse-engine'),
						'default_value' => 1,
						'ui' => 0,
						'ui_on_text' => '',
						'ui_off_text' => '',
					),
					array(
						'key' => 'acf_image_block_overlay_color',
						'label' => __('Overlay Color', 'alpenhouse-engine'),
						'name' => 'overlay-color',
						'type' => 'color_picker',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '#333333',
					),
					array(
						'key' => 'acf_image_block_overlay_opacity',
						'label' => __('Overlay Opacity', 'alpenhouse-engine'),
						'name' => 'overlay-opacity',
						'type' => 'range',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => 50,
						'min' => 0,
						'max' => 100,
						'step' => 1,
						'prepend' => '',
						'append' => '',
					),
					array(
						'key' => 'acf_image_block_content',
						'label' => __('Content', 'alpenhouse-engine'),
						'name' => 'text',
						'type' => 'wysiwyg',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '<h2 style="text-align:center;">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</h2><p style="text-align:center;">Duis placerat id tellus interdum fermentum. Cras aliquet augue lectus, sit amet tincidunt massa imperdiet faucibus. Ut id porta nisi. Cras magna tortor, molestie sit amet vestibulum ac, ultrices vel nulla. Pellentesque finibus risus quis massa porta sollicitudin.</p><p style="text-align:center;"><a class="button" href="#">Button 1</a><a class="button button-secondary" href="#">Button 2</a></p>',
						'tabs' => 'all',
						'toolbar' => 'full',
						'media_upload' => 1,
						'delay' => 0,
					),
				),
			),
			array(
				'key' => 'acf_slider_block',
				'label' => __('Slider Block', 'alpenhouse-engine'),
				'name' => 'slider-block',
				'type' => 'group',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'acf_header_type',
							'operator' => '==',
							'value' => 'slider-block',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'layout' => 'block',
				'sub_fields' => array(
					array(
						'key' => 'acf_slider_block_slides',
						'label' => __('Slides', 'alpenhouse-engine'),
						'name' => 'slides',
						'type' => 'repeater',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'collapsed' => '',
						'min' => 0,
						'max' => 0,
						'layout' => 'block',
						'button_label' => '',
						'sub_fields' => array(
							array(
								'key' => 'acf_slider_block_slide',
								'label' => __('Slide', 'alpenhouse-engine'),
								'name' => '',
								'type' => 'accordion',
								'instructions' => '',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array(
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'open' => 0,
								'multi_expand' => 1,
								'endpoint' => 0,
							),
							array(
								'key' => 'acf_slider_block_slide_image',
								'label' => __('Image', 'alpenhouse-engine'),
								'name' => 'slide-image',
								'type' => 'image',
								'instructions' => '',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array(
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'return_format' => 'array',
								'preview_size' => 'thumbnail',
								'library' => 'all',
								'min_width' => '',
								'min_height' => '',
								'min_size' => '',
								'max_width' => '',
								'max_height' => '',
								'max_size' => '',
								'mime_types' => '',
							),
							array(
								'key' => 'acf_slider_block_slide_content',
								'label' => __('Content', 'alpenhouse-engine'),
								'name' => 'slide-text',
								'type' => 'wysiwyg',
								'instructions' => '',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array(
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '<h2 style="text-align:center;">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</h2><p style="text-align:center;">Duis placerat id tellus interdum fermentum. Cras aliquet augue lectus, sit amet tincidunt massa imperdiet faucibus. Ut id porta nisi. Cras magna tortor, molestie sit amet vestibulum ac, ultrices vel nulla. Pellentesque finibus risus quis massa porta sollicitudin.</p><p style="text-align:center;"><a class="button" href="#">Button 1</a><a class="button button-secondary" href="#">Button 2</a></p>',
								'tabs' => 'all',
								'toolbar' => 'full',
								'media_upload' => 1,
								'delay' => 0,
							),
						),
					),
					array(
						'key' => 'acf_slider_block_overlay_color',
						'label' => __('Overlay Color', 'alpenhouse-engine'),
						'name' => 'overlay-color',
						'type' => 'color_picker',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '#333333',
					),
					array(
						'key' => 'acf_slider_block_overlay_opacity',
						'label' => __('Overlay Opacity', 'alpenhouse-engine'),
						'name' => 'overlay-opacity',
						'type' => 'range',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => 50,
						'min' => 0,
						'max' => 100,
						'step' => 1,
						'prepend' => '',
						'append' => '',
					),
					array(
						'key' => 'acf_slider_block_automatic_slideshow',
						'label' => __('Automatic Slideshow', 'alpenhouse-engine'),
						'name' => 'automatic-slideshow',
						'type' => 'true_false',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'message' => '',
						'default_value' => 1,
						'ui' => 0,
						'ui_on_text' => '',
						'ui_off_text' => '',
					),
					array(
						'key' => 'acf_slider_block_slideshow_speed',
						'label' => __('Slideshow Speed', 'alpenhouse-engine'),
						'name' => 'slideshow-speed',
						'type' => 'range',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => 10,
						'min' => 0,
						'max' => 50,
						'step' => 1,
						'prepend' => '',
						'append' => '',
					),
					array(
						'key' => 'acf_slider_block_slideshow_effect',
						'label' => __('Effect', 'alpenhouse-engine'),
						'name' => 'slideshow-effect',
						'type' => 'select',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'choices' => array(
							'fade' => 'Fade',
							'slide' => 'Slide',
						),
						'default_value' => array(
							0 => 'fade',
						),
						'allow_null' => 0,
						'multiple' => 0,
						'ui' => 0,
						'ajax' => 0,
						'return_format' => 'value',
						'placeholder' => '',
					),
					array(
						'key' => 'acf_slider_block_animation_speed',
						'label' => __('Animation Speed', 'alpenhouse-engine'),
						'name' => 'slideshow-animation-speed',
						'type' => 'range',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '',
						'min' => '0.8',
						'max' => 5,
						'step' => '0.1',
						'prepend' => '',
						'append' => '',
					),
				),
			),
			array(
				'key' => 'acf_video_block',
				'label' => __('Video Block', 'alpenhouse-engine'),
				'name' => 'video-block',
				'type' => 'group',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'acf_header_type',
							'operator' => '==',
							'value' => 'video-block',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'layout' => 'block',
				'sub_fields' => array(
					array(
						'key' => 'acf_video_block_background_image',
						'label' => __('Background Image', 'alpenhouse-engine'),
						'name' => 'background-image',
						'type' => 'image',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'return_format' => 'array',
						'preview_size' => 'thumbnail',
						'library' => 'all',
						'min_width' => '',
						'min_height' => '',
						'min_size' => '',
						'max_width' => '',
						'max_height' => '',
						'max_size' => '',
						'mime_types' => '',
					),
					array(
						'key' => 'acf_video_block_video_source_mp4',
						'label' => __('Video Source (mp4)', 'alpenhouse-engine'),
						'name' => 'video-source-mp4',
						'type' => 'url',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '',
						'placeholder' => '',
					),
					array(
						'key' => 'acf_video_block_loop',
						'label' => __('Loop', 'alpenhouse-engine'),
						'name' => 'video-loop',
						'type' => 'true_false',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'message' => __('Start video over again, every time it is finished', 'alpenhouse-engine'),
						'default_value' => 1,
						'ui' => 0,
						'ui_on_text' => '',
						'ui_off_text' => '',
					),
					array(
						'key' => 'acf_video_block_muted',
						'label' => __('Muted', 'alpenhouse-engine'),
						'name' => 'muted',
						'type' => 'true_false',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'message' => __('The audio output of the video should be muted', 'alpenhouse-engine'),
						'default_value' => 1,
						'ui' => 0,
						'ui_on_text' => '',
						'ui_off_text' => '',
					),
					array(
						'key' => 'acf_video_block_overlay_color',
						'label' => __('Overlay Color', 'alpenhouse-engine'),
						'name' => 'overlay-color',
						'type' => 'color_picker',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '#333333',
					),
					array(
						'key' => 'acf_video_block_overlay_opacity',
						'label' => __('Overlay Opacity', 'alpenhouse-engine'),
						'name' => 'overlay-opacity',
						'type' => 'range',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => 50,
						'min' => '',
						'max' => 100,
						'step' => '',
						'prepend' => '',
						'append' => '',
					),
					array(
						'key' => 'acf_video_block_content',
						'label' => __('Content', 'alpenhouse-engine'),
						'name' => 'text',
						'type' => 'wysiwyg',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '<h2 style="text-align:center;">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</h2><p style="text-align:center;">Duis placerat id tellus interdum fermentum. Cras aliquet augue lectus, sit amet tincidunt massa imperdiet faucibus. Ut id porta nisi. Cras magna tortor, molestie sit amet vestibulum ac, ultrices vel nulla. Pellentesque finibus risus quis massa porta sollicitudin.</p><p style="text-align:center;"><a class="button" href="#">Button 1</a><a class="button button-secondary" href="#">Button 2</a></p>',
						'tabs' => 'all',
						'toolbar' => 'full',
						'media_upload' => 1,
						'delay' => 0,
					),
				),
			),
            array(
                'key' => 'acf_slider_block_aligned',
                'label' => __('Slider with block aligned', 'alpenhouse-engine'),
                'name' => 'slider-block-aligned',
                'type' => 'group',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'acf_header_type',
                            'operator' => '==',
                            'value' => 'slider-block-aligned',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'layout' => 'block',
                'sub_fields' => array(
                    array(
                        'key' => 'acf_slider_block_aligned_slides',
                        'label' => __('Slides', 'alpenhouse-engine'),
                        'name' => 'slides',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'collapsed' => '',
                        'min' => 0,
                        'max' => 0,
                        'layout' => 'block',
                        'button_label' => '',
                        'sub_fields' => array(
                            array(
                                'key' => 'acf_slider_block_slide',
                                'label' => __('Slide', 'alpenhouse-engine'),
                                'name' => '',
                                'type' => 'accordion',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'open' => 0,
                                'multi_expand' => 1,
                                'endpoint' => 0,
                            ),
                            array(
                                'key' => 'acf_slider_block_slide_image',
                                'label' => __('Image', 'alpenhouse-engine'),
                                'name' => 'slide-image',
                                'type' => 'image',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'return_format' => 'array',
                                'preview_size' => 'thumbnail',
                                'library' => 'all',
                                'min_width' => '',
                                'min_height' => '',
                                'min_size' => '',
                                'max_width' => '',
                                'max_height' => '',
                                'max_size' => '',
                                'mime_types' => '',
                            )
                        )

                    ),
                    array(
                        'key' => 'acf_slider_block_aligned_content',
                        'label' => __('Content', 'alpenhouse-engine'),
                        'name' => 'slider-block-content',
                        'type' => 'wysiwyg',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '<h2>Lorem ipsum dolor sit amet.</h2><p>Duis placerat id tellus interdum fermentum. Cras aliquet augue lectus, sit amet tincidunt massa imperdiet faucibus. Ut id porta nisi. Cras magna tortor, molestie sit amet vestibulum ac, ultrices vel nulla. Pellentesque finibus risus quis massa porta sollicitudin.</p><p><a class="button" href="#">Button</a></p>',
                        'tabs' => 'all',
                        'toolbar' => 'full',
                        'media_upload' => 1,
                        'delay' => 0,
                    ),

                    array(
                        'key' => 'acf_slider_block_aligned_overlay_color',
                        'label' => __('Overlay Color', 'alpenhouse-engine'),
                        'name' => 'overlay-color',
                        'type' => 'color_picker',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '#344583',
                    ),

                    array(
                        'key' => 'acf_slider_block_aligned_overlay_opacity',
                        'label' => __('Overlay Opacity', 'alpenhouse-engine'),
                        'name' => 'overlay-opacity',
                        'type' => 'range',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 80,
                        'min' => 0,
                        'max' => 100,
                        'step' => 1,
                        'prepend' => '',
                        'append' => '',
                    ),
                    array(
                        'key' => 'acf_slider_block_aligned_background_color',
                        'label' => __('Background Color', 'alpenhouse-engine'),
                        'name' => 'background-color',
                        'type' => 'color_picker',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '#e0eeff',
                    ),
                    array(
                        'key' => 'acf_slider_block_aligned_background_opacity',
                        'label' => __('Background Opacity', 'alpenhouse-engine'),
                        'name' => 'background-opacity',
                        'type' => 'range',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 50,
                        'min' => 0,
                        'max' => 100,
                        'step' => 1,
                        'prepend' => '',
                        'append' => '',
                    ),
                    array(
                        'key' => 'acf_slider_block_aligned_automatic_slideshow',
                        'label' => __('Automatic Slideshow', 'alpenhouse-engine'),
                        'name' => 'automatic-slideshow',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 1,
                        'ui' => 0,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'acf_slider_block_aligned_slideshow_speed',
                        'label' => __('Slideshow Speed', 'alpenhouse-engine'),
                        'name' => 'slideshow-speed',
                        'type' => 'range',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 10,
                        'min' => 0,
                        'max' => 50,
                        'step' => 1,
                        'prepend' => '',
                        'append' => '',
                    ),
                    array(
                        'key' => 'acf_slider_block_aligned_slideshow_effect',
                        'label' => __('Effect', 'alpenhouse-engine'),
                        'name' => 'slideshow-effect',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'fade' => 'Fade',
                            'slide' => 'Slide',
                        ),
                        'default_value' => array(
                            0 => 'fade',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'ajax' => 0,
                        'return_format' => 'value',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'acf_slider_block_aligned_animation_speed',
                        'label' => __('Animation Speed', 'alpenhouse-engine'),
                        'name' => 'slideshow-animation-speed',
                        'type' => 'range',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'min' => '0.8',
                        'max' => 5,
                        'step' => '0.1',
                        'prepend' => '',
                        'append' => '',
                    ),
                ),
            ),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));

	/*acf_add_local_field_group(array(
		'key' => 'acf_team_options',
		'title' => __('Team Options', 'alpenhouse-engine'),
		'fields' => array(
			array(
				'key' => 'acf_team_options_subtitle',
				'label' => __('Position / Subtitle', 'alpenhouse-engine'),
				'name' => 'sub-title',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => __('Doctor', 'alpenhouse-engine'),
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'acf_team_options_social_links',
				'label' => __('Social Links', 'alpenhouse-engine'),
				'name' => 'social-links',
				'type' => 'repeater',
				'instructions' => __('Add links to social accounts here.', 'alpenhouse-engine'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'collapsed' => '',
				'min' => 0,
				'max' => 0,
				'layout' => 'table',
				'button_label' => '',
				'sub_fields' => array(
					array(
						'key' => 'acf_team_options_social_link',
						'label' => __('Social Link', 'alpenhouse-engine'),
						'name' => 'social-link',
						'type' => 'url',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '',
						'placeholder' => 'https://www.facebook.com/zuck',
					),
				),
			),
			array(
				'key' => 'acf_team_options_contact_info',
				'label' => __('Contact Info', 'alpenhouse-engine'),
				'name' => 'contact-info',
				'type' => 'repeater',
				'instructions' => __('Add contact information here. You can add phone, email and links.', 'alpenhouse-engine'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'collapsed' => '',
				'min' => 0,
				'max' => 0,
				'layout' => 'table',
				'button_label' => '',
				'sub_fields' => array(
					array(
						'key' => 'acf_team_options_contact_info_title',
						'label' => __('Title', 'alpenhouse-engine'),
						'name' => 'contact-info-title',
						'type' => 'text',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '',
						'placeholder' => __('Phone', 'alpenhouse-engine'),
						'prepend' => '',
						'append' => '',
						'maxlength' => '',
					),
					array(
						'key' => 'acf_team_options_contact_info_value',
						'label' => __('Value', 'alpenhouse-engine'),
						'name' => 'contact-info-value',
						'type' => 'text',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '',
						'placeholder' => 'tel:+1234567890',
					),
				),
			),
			array(
				'key' => 'acf_team_options_quote',
				'label' => __('Quote', 'alpenhouse-engine'),
				'name' => 'quote',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => __('Be yourself; everyone else is already taken.', 'alpenhouse-engine'),
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'acf_team_options_skills',
				'label' => __('Skills / Attainments', 'alpenhouse-engine'),
				'name' => 'levels',
				'type' => 'repeater',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'collapsed' => '',
				'min' => 0,
				'max' => 0,
				'layout' => 'table',
				'button_label' => '',
				'sub_fields' => array(
					array(
						'key' => 'acf_team_options_skills_title',
						'label' => __('Title', 'alpenhouse-engine'),
						'name' => 'level-title',
						'type' => 'text',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => '',
						'placeholder' => __('Leadership', 'alpenhouse-engine'),
						'prepend' => '',
						'append' => '',
						'maxlength' => '',
					),
					array(
						'key' => 'acf_team_options_skills_value',
						'label' => __('Value', 'alpenhouse-engine'),
						'name' => 'level-value',
						'type' => 'number',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'default_value' => 50,
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'min' => 0,
						'max' => 100,
						'step' => 1,
					),
				),
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'cptp-team',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'left',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));*/

	acf_add_local_field_group(array(
		'key' => 'acf_testimonial_options',
		'title' => __('Testimonial Options', 'alpenhouse-engine'),
		'fields' => array(
			array(
				'key' => 'acf_testimonial_options_subtitle',
				'label' => __('Subtitle', 'alpenhouse-engine'),
				'name' => 'sub-title',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'acf_testimonial_options_rating',
				'label' => __('Rating', 'alpenhouse-engine'),
				'name' => 'rating',
				'type' => 'range',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => 5,
				'min' => '',
				'max' => 5,
				'step' => '',
				'prepend' => '',
				'append' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'cptp-testimonial',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'left',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));


    acf_add_local_field_group(array(
        'key' => 'acf_activity_options',
        'title' => 'Activity options',
        'fields' => array(
            array(
                'key' => 'acf_activity_price',
                'label' => 'Price',
                'name' => 'activity-price',
                'type' => 'text',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '$100',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'acf_activity_period',
                'label' => 'Period',
                'name' => 'activity-period',
                'type' => 'text',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '/',
                'append' => '',
                'maxlength' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'cptp-activity',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'normal',
        'style' => 'seamless',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => 1,
        'description' => '',
    ));
}

add_action('acf/init', 'alpenhouse_engine_add_local_field_groups');
